/*
Theme Name: Twenty Twenty-Two Child
Description: Tema hijo del Twenty Twenty Two
Author:      Magnadian
Author URI:  https://www.magnadian.com
Template:    twentytwentytwo
Version:     1.0
License:     
License URI: 
Text Domain: twentytwentytwo-child
*/

/* Aquí tu CSS personalizado */

@font-face {
  font-family: 'teko';
  src: url('assets/fonts/Teko-Light.ttf') format('truetype'); 
  font-weight: 400;
  font-style: normal;
}

body {
  font-family: "Montserrat", Helvetica, Arial, sans-serif;
}
main{
  background-color:transparent!important;
}

.titles{
	font-family:teko;
}



.img-head .wp-block-cover.alignfull.wp-duotone-unset-2{
	padding:0 100px 0 30px!important;
}
main{
    margin-top: 0;
}
footer{
    margin-top: 0;
}



.contenedor-marcas {
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.15);
    transition: box-shadow 0.4s ease; 
}

.contenedor-marcas:hover {
    box-shadow: 0 15px 45px rgba(0, 0, 0, 0.35);
}

.img-sombra {
     box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
}

.img-bn .img img {
    filter: grayscale(0%);
    transition: filter 0.4s ease; 
}

.img-bn:hover .img img{
    filter: grayscale(100%);
}

.txt-justify{
    text-align: justify;
}

/*  Para que se cargue el txt al hacer scroll   */

.fade-in {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 0.8s ease, transform 0.8s ease;
}

.fade-in.visible {
    opacity: 1;
    transform: translateY(0);
}

 /* ** CONTACTO ** */
/*

.wpcf7-form.init fieldset label{
    font-family:teko;
    font-size: 30px;
    letter-spacing: 1px;
    font-weight: 600;
}

.wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required{   
	height: 35px;
	border-radius:1px;
}

.wpcf7-form.init input:checkbox{
   height: 40px;
   width: 40px;
}


.wpcf7-form.init textarea{
   width: 100%;
}

.wpcf7-form.init fieldset.campos-visibles{
	border:none;
	display:flex;
	flex-direction:column;
	align-items:center;
	width: 80%;
	margin: 50px auto;
	background: transparent;
	border-radius: 1px;

}

.wpcf7-form.init fieldset.campos-visibles p{
	width:75%;
}

.wpcf7-form.init fieldset.campos-visibles p span{
	width: 100%;
  display: block;
}

.wpcf7-form.init fieldset.campos-visibles p input{
	width:100%;
}
.wpcf7-form-control.wpcf7-submit.has-spinner{
width: 44%;
  height: 47px;
  margin: auto;
  left: 30%;
  position: relative;
font-family: teko;
  font-size: 28px;
  letter-spacing: 1px;
background: linear-gradient(135deg, #8b1f1f, #c43a3a);
  color: #fff;
  border: none;
border-radious:2px;
transition:0.1s;
}

.wpcf7-form-control.wpcf7-submit.has-spinner:hover {
	cursor:pointer;
 box-shadow: 0 10px 28px rgba(120, 20, 20, 0.55), 0 4px 12px rgba(0, 0, 0, 0.45);
background: linear-gradient(135deg, #6a1414, #7a1b1b, #6a1414);
  color: #fff;
  border: none;
  background: linear-gradient(135deg, #7f1d1d, #8f2626);
}
*/
.wpcf7-form fieldset label{
    font-family:teko;
    font-size: 30px;
    letter-spacing: 1px;
    font-weight: 600;
}

.wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required{   
	height: 35px;
	border-radius:1px;
}

.wpcf7-form input:checkbox{
   height: 40px;
   width: 40px;
}


.wpcf7-form textarea{
   width: 100%;
}

.wpcf7-form fieldset.campos-visibles{
	border:none;
	display:flex;
	flex-direction:column;
	align-items:center;
	width: 80%;
	margin: 50px auto;
	background: transparent;
/*	box-shadow: 8px 10px 25px rgba(160, 50, 50, 0.18);  */
	border-radius: 1px;

}

.wpcf7-form fieldset.campos-visibles p{
	width:75%;
}

.wpcf7-form fieldset.campos-visibles p span{
	width: 100%;
  display: block;
}

.wpcf7-form fieldset.campos-visibles p input{
	width:100%;
}
.wpcf7-form-control.wpcf7-submit.has-spinner{
width: 44%;
  height: 47px;
  margin: auto;
  left: 30%;
  position: relative;
font-family: teko;
  font-size: 28px;
  letter-spacing: 1px;
background: linear-gradient(135deg, #8b1f1f, #c43a3a);
  color: #fff;
  border: none;
border-radious:2px;
transition:0.1s;
}

.wpcf7-form-control.wpcf7-submit.has-spinner:hover {
	cursor:pointer;
 box-shadow: 0 10px 28px rgba(120, 20, 20, 0.55), 0 4px 12px rgba(0, 0, 0, 0.45);
background: linear-gradient(135deg, #6a1414, #7a1b1b, #6a1414);
  color: #fff;
  border: none;
  background: linear-gradient(135deg, #7f1d1d, #8f2626);
}
/* ** CONSENTIMIENTO LEGAL ** */

.lista-aviso{
text-decoration:none;
list-style:none;
}

/* ** QUIENES SOMOS ** */

.img-smbr{
border-radious:5px;
box-shadow: 10px 10px 28px rgba(0, 0, 0, 0.35);
}


/* ** INICIO ** */
.slider-inicio img {
    width: 100% !important; /* O el ancho fijo que necesites */
    height: auto !important; /* O un alto fijo */
    object-fit: cover; /* Para que la imagen cubra sin deformarse */
    max-width: none !important; /* Para evitar límites */
}


.bloq-slider{
   height: 900px;
  overflow: hidden;
}

.slider-inicio img{
position:relative;
top:0px;
}
/*
.slider-inicio img.slide-248{
bottom:10px;
}*/
.bloq-slider{
	height:auto;
}
.contenedor-contenedor-slider{
	height:auto;
	overflow:hidden;
}
 /* ** MENU ** */
.menu-cabecera li span {
  font-family:teko!important;
  font-size:33px;
  padding: 8px 12px;
 border: 2px solid transparent;

}
.menu-cabecera .menu-li-uno span:hover{
 	 border-radius:3px;  
  	 border: 2px solid;
	 background: linear-gradient(135deg, #7f1d1d, #8f2626);
}
.menu-cabecera li span:hover a{
	text-decoration:none;
}


.menu-cabecera li span {
  font-family:teko!important;
  font-size:30px;
  padding: 8px 12px;
 border: 2px solid transparent;

}
div.img-head .wp-block-cover.alignfull.wp-duotone-unset-2{
	overflow:visible;

}

.main-inicio{
padding-top:0;
}

.contenedor-video .video{
	display:flex;
	justify-content:center;
}
.contenedor-video iframe{
	width:1000px;
	height:600px;
}




/* ** FOOTER ** */
.bloque-contacto {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* ** */
/*
.menu-li-submenu.wp-block-navigation-submenu{
padding-top:0!important;
}

.wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content {
    padding: 0;
}
.menu-cabecera li span {
    padding: 0;
}


.menu-li-submenu.wp-block-navigation-submenu li{
      padding-left:80px!important;

}
*/

@media(max-width:1100px){
	.menu-inicio .menu-cabecera{
		gap:0!important;
	}
	.menu-inicio{
		flex-wrap:nowrap;
	}	
	.logo-cabecera img{
		width:90%;
	}

	.img-head div.cabecera img{
	    object-position: 6% 100%!important;
	}
}

@media (max-width: 850px){
	.menu-cabecera button.wp-block-navigation__responsive-container-open {
		display: block !important;
	}
	.menu-cabecera ul {
		display: none;
	}
	.menu-cabecera{
		justify-content:end;
	}
	.img-head div.cabecera img{
            object-position: 2% 100%!important;
        }

	.menu-cabecera button svg{
		width:50px;
		height:50px;
	}
	.slider-inicio img {
	    position: relative;
	    bottom: 0px;
	}
	.contenedor-video iframe{
	        width:560px;
	        height:315px;
	}

	.menu-li-submenu.wp-block-navigation-submenu{
padding-top:0!important;
}

.wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content {
    padding: 0;
}
.menu-cabecera li span {
    padding: 0;
}


.menu-li-submenu.wp-block-navigation-submenu li{
      padding-left:80px!important;

}


}

@media (max-width: 450px){
	div.img-head{
	    height: 85px;
   		 bottom: 35px;
	}
		.img-head div.cabecera img{
            object-position: 3% 100%!important;
        }

	.menu-cabecera button svg{
		width:40px;
		height: 40px;
	}
	
}

@media (max-width: 400px){

.logo-cabecera img{
                width:70%;
        }
.img-head div.cabecera img{
            object-position: 5% 100%!important;
        }

}
